| Kea 3.0.2-git

eval_context.h File Reference
`#include <string>`
`#include <map>`
`#include <vector>`
`#include <eval/parser.h>`
`#include <eval/eval_context_decl.h>`
`#include <exceptions/exceptions.h>`
Include dependency graph for eval_context.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::eval::EvalContext
| Evaluation context, an interface to the expression evaluation. More...
class | isc::eval::EvalParseError
| Evaluation error exception raised when trying to parse an exceptions. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::eval

## Macros
#define | YY_DECL isc::eval::EvalParser::symbol_type evallex (EvalContext& driver)

## Variables
| YY_DECL

## Macro Definition Documentation

## ◆ YY_DECL

#define YY_DECL isc::eval::EvalParser::symbol_type evallex (EvalContext& driver)

Definition at line 17 of file eval_context.h.

## Variable Documentation

## ◆ YY_DECL

YY_DECL

Definition at line 21 of file eval_context.h.